VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Std::Errors::TransientIndication Class Reference
Inheritance diagram for Com::Vmware::Vapi::Std::Errors::TransientIndication:

## Avaliable Methods
public method | get_is_transient ()
public method | set_is_transient ()
public method | new ()

## Detailed Description

The `Com::Vmware::Vapi::Std::Errors::TransientIndication` class indicates whether or not the error is transient.

Some types of errors are transient in certain situtations and not transient in other situtations. This error payload can be used to indicate to clients whether a particular error is transient. See :attr:`Com::Vmware::Vapi::Std::Errors::Error.data` .

## Member Function Documentation

public method Com::Vmware::Vapi::Std::Errors::TransientIndication::get_is_transient | ( |  | ) |

Gets the value of 'is_transient' property.

Return values

  is_transient | - The current value of the field. Indicates that the error this class is attached to is transient. boolean#

Code:
click to view
# Number of lines of code in get_is_transient: 4
sub get_is_transient {
my ($self, %args) = @_;
return $self->{'is_transient'};
}

public method Com::Vmware::Vapi::Std::Errors::TransientIndication::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Std::Errors::TransientIndication structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 16
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{is_transient} = $args{'is_transient'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vapi::Std::Errors::TransientIndication');
$self->set_binding_name('name' => 'com.vmware.vapi.std.errors.transient_indication');
$self->set_binding_field('key' => 'is_transient', 'value' => new Com::Vmware::Vapi::Bindings::Type::BooleanType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Vapi::Std::Errors::TransientIndication::set_is_transient | ( |  | ) |

Sets the given value for 'is_transient' property.

Parameters

  is_transient | - New value for the field. Indicates that the error this class is attached to is transient.

Code:
click to view
# Number of lines of code in set_is_transient: 5
sub set_is_transient {
my ($self, %args) = @_;
$self->{'is_transient'} = $args{'is_transient'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Std/Errors/TransientIndication.pm